﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="classcourseweeklist.aspx.cs" Inherits="School_Web.admin.course.classcourseweeklist" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>周课程表</title>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <link href="../style/green/style.css" rel="stylesheet" type="text/css" />

    <script language="javascript" src="/admin/js/System.js" type="text/javascript"></script>

</head>
<body onload="win_onLoad();">
    <form id="Form1" method="post" runat="server">
    <div id="tbMain">
    <div class="divTbg">
        <div class="divTbgL">
        </div>
        <div class="divTbgInfo">
            <div class="divTbgTitle">
                周课程表管理</div>
        </div>
    </div>
    <div class="divTbgF">
    </div>
    <div class="divSearchBoth">
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navsearchtitle">
                            周课程表搜索</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divSearch">
                <div id="searchBox" class="clearsearch">
                    <p style="display:none">
                        <label for="txtSkyDepartCourseID">
                            课程名称：</label>
                        <asp:TextBox ID="txtSkyDepartCourseID" runat="server"></asp:TextBox>
                    </p>
                    <p>
                        <label for="txtMasterTeahcer">
                            主讲教师：</label>
                        <asp:TextBox ID="txtMasterTeahcer" runat="server"></asp:TextBox>
                    </p>
                     <p>
                        <label for="txtAddTeacher">
                            辅导教师：</label>
                        <asp:TextBox ID="txtAddTeacher" runat="server"></asp:TextBox>
                    </p>
                    <p>
                        <label for="txtRoomName">
                            上课地点：</label>
                        <asp:TextBox ID="txtRoomName" runat="server"></asp:TextBox>
                    </p>
                    <p id="searchSubmit">
                        <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoblack">
            <div class="divInfoTopList">
                <div class="listLeft">
                    <div class="navtitle">
                        周课程表详细列表</div>
                </div>
                <div class="listRight">
                    <ul>
                        <li class="navstyle1">
                            <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                            <label for="chkselect">
                                全选</label>
                        </li>
                        <li class="navstyle2">
                            <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click">添加</asp:LinkButton>
                        </li>
                        <li class="navstyle3">
                            <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click">编辑</asp:LinkButton>
                        </li>
                        <li class="navstyle4">
                            <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click">删除</asp:LinkButton>
                        </li>
                        <li class="navstyle5">
                            <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoContext">
            <asp:Repeater runat="server" ID="rptInfo">
                <HeaderTemplate>
                    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
                        <tr class="tablisttitle">
                            <td>
                                序号
                            </td>
                            <td>
                                <%=cHTMLFx%>
                            </td>
                           <%-- <td>
                                课程代码
                            </td>--%>
                            <td>
                                课程名称
                            </td>
                            <td>
                                开始天时间
                            </td>
                            <td>
                                结束天时间
                            </td>
                            <td>
                                主讲教师
                            </td>
                            <td>
                                辅导教师
                            </td>
                            <td>
                                上课地点
                            </td>
                            <td>
                                上课时间
                            </td>
                             
                            <td>
                                建立时间
                            </td>
                           <%-- <td>
                                培养方案
                            </td>--%>
                            <td>
                                修改
                            </td>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr class="tablisttr"  style="background-color:<%#Eval("CCWColor") %>;">
                        <td>
                            <%#Eval("ID") %>
                        </td>
                        <td>
                            <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' />
                        </td>
                       <%-- <td>
                            <span class="fontred"><%#Eval("CCWCode")%></span>
                        </td>--%>
                        <td>
                            <span class="fontred"><%#Eval("CourseName")%></span>
                        </td>
                        
                        <td>
                            <%#Eval("StartDate")%>
                        </td>
                        <td>
                            <%#Eval("EndDate")%>
                        </td>
                        <td>
                            <%#Eval("MasterTeahcer")%>
                        </td>
                        <td>
                            <%#Eval("AddTeacher")%>
                        </td>
                        <td>
                            <%#Eval("RoomName")%>
                        </td>
                        <td>
                            <%#Eval("CCWTime")%>
                        </td>
                        <td>
                            <%#UsToolsDateFormat(Eval("CreateDate"))%>
                        </td>
                      <%--  <td>
                           <a class="rptlink" href='<%#(Eval("CCWWord").ToString()=="")?"#":Eval("CCWWord").ToString()%>'>[下载]</a>
                        </td>--%>
                        
                        <td>
                            <a target="_blank" class="rptlink" href="<%#pDefault.sEditUrl +"?id="+Eval("ID").ToString()+"&cid="+Eval("SkyDepartCourseID").ToString()%>">[修改]</a>
                        </td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </div>
    </div>
    <div class="divInfo">
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
            <tr>
                <td class="tablisttr">
                    <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                        ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                        CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                        SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                        PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                        CustomInfoTextAlign="Left" HorizontalAlign="Right">
                    </webdiyer:AspNetPager>
                </td>
            </tr>
        </table>
    </div>
    <div class="divFootInfo">
    </div>
    </div>
    </form>
</body>
</html>
