﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="coursewaredownloadlist.aspx.cs" Inherits="School_Web.admin.courseware.coursewaredownloadlist" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>课件信息</title>
    <link href="../style/green/style.css" rel="stylesheet" type="text/css" />

    <script language="javascript" src="/admin/js/System.js" type="text/javascript"></script>

</head>
<body>
    <form id="Form1" method="post" runat="server">
    <div class="divTbg">
        <div class="divTbgL">
        </div>
        <div class="divTbgInfo">
            <div class="divTbgTitle">
                课件信息管理</div>
        </div>
    </div>
    <div class="divTbgF">
    </div>
    <div class="divSearchBoth">
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navsearchtitle">
                            课件信息搜索</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divSearch">
                <div id="searchBox" class="clearsearch">
                    <p>
                        <label for="txtCWID">
                            课件编号：</label>
                        <asp:TextBox ID="txtCWID" runat="server"></asp:TextBox>
                    </p>
                    <p>
                        <label for="txtCWName">
                            课件名称：</label>
                        <asp:TextBox ID="txtCWName" runat="server"></asp:TextBox>
                    </p>
                    <p>
                        <label for="drpParentID">
                            上级分类：</label>
                        <asp:DropDownList runat="server" ID="drpParentID">
                        </asp:DropDownList>
                    </p>
                    <p id="searchSubmit">
                        <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoblack">
            <div class="divInfoTopList">
                <div class="listLeft">
                    <div class="navtitle">
                        课件信息详细列表</div>
                </div>
                <div class="listRight">
                    <ul>
                        <li class="navstyle1">
                            <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                            <label for="chkselect">
                                全选</label>
                        </li>
                        <li class="navstyle2">
                            <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                        </li>
                        <li class="navstyle3">
                            <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                        </li>
                        <li class="navstyle4">
                            <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">删除</asp:LinkButton>
                        </li>
                        <li class="navstyle5">
                            <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoContext">
            <asp:Repeater runat="server" ID="rptInfo">
                <HeaderTemplate>
                    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
                        <tr class="tablisttitle">
                            <td>
                                序号
                            </td>
                            <td>
                                <%=cHTMLFx%>
                            </td>
                            <td>
                                课件ID
                            </td>
                            <td>
                                课件名称
                            </td>
                            <td>
                                父级分类
                            </td>
                            <td>
                                课件类型
                            </td>
                            <td>
                                课件大小
                            </td>
                            <td>
                                审核状态
                            </td>
                            <td>
                                建立时间
                            </td>
                            <td>
                                进入下载
                            </td>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr class="tablisttr">
                        <td>
                            <%#Eval("ID") %>
                        </td>
                        <td>
                            <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' />
                        </td>
                        <td>
                            <%#Eval("CWID")%>
                        </td>
                        <td>
                            <%#Eval("CWName")%>
                        </td>
                        <td>
                            <%#Eval("CWTName")%>
                        </td>
                        <td>
                            <%#Eval("CWExt")%>
                        </td>
                        <td>
                            <%#Eval("CWSize")%>
                        </td>
                        <td><span class="fontred">
                            <%#Eval("DName")%></span>
                        </td>
                        <td>
                            <%#UsToolsDateFormat(Eval("CreateDate"))%>
                        </td>
                        <td>
                            <%#cHTMLUrl(pDefault.sEditUrl +"?id="+Eval("ID").ToString(), "[进入下载]")%>
                        </td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </div>
    </div>
    <div class="divInfo">
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
            <tr>
                <td class="tablisttr">
                    <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                        ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                        CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                        SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                        PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                        CustomInfoTextAlign="Left" HorizontalAlign="Right">
                    </webdiyer:AspNetPager>
                </td>
            </tr>
        </table>
    </div>
    <div class="divFootInfo">
    </div>
    </form>
</body>
</html>
