﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="housestudentsearch.aspx.cs"
    Inherits="School_Web.admin.house.housestudentsearch" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>学生公寓查询</title>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <link href="../style/green/style.css" rel="stylesheet" type="text/css" />

    <script language="javascript" src="/admin/js/System.js" type="text/javascript"></script>

</head>
<body>
    <form id="Form1" method="post" runat="server">
    <div class="divTbg">
        <div class="divTbgL">
        </div>
        <div class="divTbgInfo">
            <div class="divTbgTitle">
                学生公寓查询</div>
        </div>
    </div>
    <div class="divTbgF">
    </div>
    <div class="divSearchBoth">
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navsearchtitle">
                            学生搜索</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divSearch">
                <div id="searchBox" class="clearsearch">
                    <p>
                        <label for="drpSkyDID">
                            隶属院系：</label>
                        <asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                        </asp:DropDownList>
                    </p>
                    <p>
                        <label for="drpSkyPID">
                            隶属专业：</label>
                        <asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged">
                            <asp:ListItem Text="请选择" Value=""></asp:ListItem>
                        </asp:DropDownList>
                    </p>
                    <p>
                        <label for="drpSkyCID">
                            隶属班级：</label>
                        <asp:DropDownList ID="drpSkyCID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyCID_SelectedIndexChanged">
                            <asp:ListItem Text="请选择" Value=""></asp:ListItem>
                        </asp:DropDownList>
                    </p>
                    <p>
                        <label for="txtID">
                            学生编号：</label>
                        <asp:TextBox ID="txtID" runat="server"></asp:TextBox>
                    </p>
                    <p>
                        <label for="txtName">
                            学生名称：</label>
                        <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                    </p>
                    <p id="searchSubmit">
                        <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoblack">
            <div class="divInfoTopList">
                <div class="listLeft">
                    <div class="navtitle">
                        学生公寓查询统计列表</div>
                </div>
                <div class="listRight">
                    <ul>
                        <li class="navstyle1">
                            <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                            <label for="chkselect">
                                全选</label>
                        </li>
                        <li class="navstyle2">
                            <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                        </li>
                        <li class="navstyle3">
                            <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                        </li>
                        <li class="navstyle4">
                            <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">删除</asp:LinkButton>
                        </li>
                        <li class="navstyle5">
                            <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoContext">
            <asp:Repeater runat="server" ID="rptInfo">
                <HeaderTemplate>
                    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
                        <tr class="tablisttitle">
                            <td>
                                序号
                            </td>
                            <td>
                                <%=cHTMLFx%>
                            </td>
                            <td>
                                学生编号
                            </td>
                            <td>
                                学生名称
                            </td>
                            <td>
                                房间名称
                            </td>
                            <td>
                                公寓名称
                            </td>
                            <td>
                                床位序号
                            </td>
                            <td>
                                学生性别
                            </td>
                            <td>
                                隶属院系
                            </td>
                            <td>
                                隶属专业
                            </td>
                            <td>
                                隶属班级
                            </td>
                            <td>
                                学生状态
                            </td>
                            <td>
                                辅导员
                            </td>
                            <td>
                                建立时间
                            </td>
                        </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr class="tablisttr">
                        <td>
                            <%#Eval("ID") %>
                        </td>
                        <td>
                            <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' />
                        </td>
                        <td>
                            <%#Eval("UserID")%>
                        </td>
                        <td>
                            <span class="fontgreen">
                                <%#Eval("UserName")%></span>
                        </td>
                        <td>
                            <span class="fontred">
                                <%#Eval("HName")%></span>
                        </td>
                        <td>
                            <%#Eval("HTName")%>
                        </td>
                        <td>
                            <%#Eval("BedID")%>
                        </td>
                        <td>
                            <%#Eval("SSexName")%>
                        </td>
                        <td>
                            <%#Eval("SkyDName")%>
                        </td>
                        <td>
                            <%#Eval("SkyPName")%>
                        </td>
                        <td>
                            <%#Eval("SkyCName")%>
                        </td>
                        <td>
                            <%#Eval("SStateName")%>
                        </td>
                        <td>
                            <%#Eval("TeacherUserName")%>
                        </td>
                        
                        
                        <td>
                            <%#UsToolsDateFormat(Eval("CreateDate"))%>
                        </td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </div>
    </div>
    <div class="divInfo">
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
            <tr>
                <td class="tablisttr">
                    <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                        ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                        CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                        SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                        PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                        CustomInfoTextAlign="Left" HorizontalAlign="Right">
                    </webdiyer:AspNetPager>
                </td>
            </tr>
        </table>
    </div>
    <div class="divFootInfo">
    </div>
    </form>
</body>
</html>
